package com.sgbg18.service;

import com.sgbg18.entity.Employee_ztb18326;

import java.util.List;

/**
 * 员工表(Employee)表服务接口
 *
 * @author makejava
 * @since 2020-12-25 13:41:23
 */
public interface EmployeeService_ztb18326 {

    /**
     * 通过ID查询单条数据
     *
     * @param empId 主键
     * @return 实例对象
     */
    Employee_ztb18326 queryById(Integer empId);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<Employee_ztb18326> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param employee 实例对象
     * @return 实例对象
     */
    Employee_ztb18326 insert(Employee_ztb18326 employee);

    /**
     * 修改数据
     *
     * @param employee 实例对象
     * @return 实例对象
     */
    Employee_ztb18326 update(Employee_ztb18326 employee);

    /**
     * 通过主键删除数据
     *
     * @param empId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer empId);

}